Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/InteractiveSymbolicDiscriminantFunctionClassificationSolutionSimplifierView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/InteractiveSymbolicDiscriminantFunctionClassificationSolutionSimplifierView.Designer.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/InteractiveSymbolicDiscriminantFunctionClassificationSolutionSimplifierView.Designer.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/InteractiveSymbolicRegressionSolutionSimplifierView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/InteractiveSymbolicRegressionSolutionSimplifierView.Designer.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/InteractiveSymbolicRegressionSolutionSimplifierView.Designer.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionResponseFunctionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionResponseFunctionView.Designer.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionResponseFunctionView.Designer.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionConstantOptimizationEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionConstantOptimizationEvaluator.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionConstantOptimizationEvaluator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/InteractiveSymbolicDataAnalysisSolutionSimplifierView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/InteractiveSymbolicDataAnalysisSolutionSimplifierView.Designer.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/InteractiveSymbolicDataAnalysisSolutionSimplifierView.Designer.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -64,6 +64,6 @@
       // treeChart
       // 
-      this.treeChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.treeChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.treeChart.BackgroundColor = System.Drawing.Color.White;
@@ -80,6 +80,6 @@
       // viewHost
       // 
-      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.viewHost.Caption = "View";
@@ -125,5 +125,5 @@
       // flowLayoutPanel
       // 
-      this.flowLayoutPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
+      this.flowLayoutPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.flowLayoutPanel.Controls.Add(this.btnSimplify);
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.Designer.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.Designer.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -113,5 +113,5 @@
       // mutationGroupBox
       // 
-      this.mutationGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.mutationGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.mutationGroupBox.Controls.Add(this.slopeChangeSigmaLabel);
@@ -143,5 +143,5 @@
       // slopeChangeSigmaTextBox
       // 
-      this.slopeChangeSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.slopeChangeSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.slopeChangeSigmaTextBox.Location = new System.Drawing.Point(149, 99);
@@ -166,5 +166,5 @@
       // slopeChangeMuTextBox
       // 
-      this.slopeChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.slopeChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.slopeChangeMuTextBox.Location = new System.Drawing.Point(149, 73);
@@ -189,5 +189,5 @@
       // thresholdChangeSigmaTextBox
       // 
-      this.thresholdChangeSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.thresholdChangeSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.thresholdChangeSigmaTextBox.Location = new System.Drawing.Point(149, 41);
@@ -212,5 +212,5 @@
       // thresholdChangeMuTextBox
       // 
-      this.thresholdChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.thresholdChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.thresholdChangeMuTextBox.Location = new System.Drawing.Point(149, 15);
@@ -224,6 +224,6 @@
       // tabControl
       // 
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.variableNamesTabPage);
@@ -259,5 +259,5 @@
       // initializationGroupBox
       // 
-      this.initializationGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.initializationGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.initializationGroupBox.Controls.Add(this.slopeInitializationSigmaLabel);
@@ -288,5 +288,5 @@
       // slopeInitializationSigmaTextBox
       // 
-      this.slopeInitializationSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.slopeInitializationSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.slopeInitializationSigmaTextBox.Location = new System.Drawing.Point(114, 102);
@@ -309,5 +309,5 @@
       // slopeInitializationMuTextBox
       // 
-      this.slopeInitializationMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.slopeInitializationMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.slopeInitializationMuTextBox.Location = new System.Drawing.Point(114, 76);
@@ -330,5 +330,5 @@
       // thresholdInitializationSigmaTextBox
       // 
-      this.thresholdInitializationSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.thresholdInitializationSigmaTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.thresholdInitializationSigmaTextBox.Location = new System.Drawing.Point(114, 41);
@@ -351,5 +351,5 @@
       // thresholdInitializationMuTextBox
       // 
-      this.thresholdInitializationMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+      this.thresholdInitializationMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.thresholdInitializationMuTextBox.Location = new System.Drawing.Point(114, 15);
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableCondition.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableCondition.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableCondition.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableConditionTreeNode.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableConditionTreeNode.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Symbols/VariableConditionTreeNode.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting.Views/3.4/VRPImportDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting.Views/3.4/VRPImportDialog.Designer.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting.Views/3.4/VRPImportDialog.Designer.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting.Views/3.4/VRPImportDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting.Views/3.4/VRPImportDialog.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting.Views/3.4/VRPImportDialog.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,7 +22,5 @@
 using System;
 using System.ComponentModel;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.Data;
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting.Views {
@@ -71,5 +69,5 @@
       if (MessageBox.Show("Do you want to open the HeuristicLab wiki website?", "Help",
         MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == System.Windows.Forms.DialogResult.Yes) {
-          System.Diagnostics.Process.Start("http://dev.heuristiclab.com/trac/hl/core/wiki/Vehicle%20Routing%20Problem");
+        System.Diagnostics.Process.Start("http://dev.heuristiclab.com/trac/hl/core/wiki/Vehicle%20Routing%20Problem");
       }
     }
Index: /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/CordeauFormat/CordeauParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/CordeauFormat/CordeauParser.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/CordeauFormat/CordeauParser.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -118,115 +118,116 @@
     }
 
-     public CordeauParser(string file): this() {
+    public CordeauParser(string file)
+      : this() {
       this.file = file;
     }
 
-     public CordeauParser(Stream stream)
-       : this() {
+    public CordeauParser(Stream stream)
+      : this() {
       this.stream = stream;
     }
 
-     public void Parse() {
-       string line;
-       Regex reg = new Regex(@"-?\d+(\.\d+)?");
-       MatchCollection m;
-
-       StreamReader reader;
-       if (stream != null) {
-         reader = new StreamReader(stream);
-       } else {
-         reader = new StreamReader(file);
-         problemName = Path.GetFileNameWithoutExtension(file);
-       }
-
-       using (reader) {
-         List<double> depotXcoord = new List<double>();
-         List<double> depotYcoord = new List<double>();
-         List<double> depotReadyTime = new List<double>();
-         List<double> depotDueTime = new List<double>();
-         
-         List<double> routeDueTime = new List<double>();
-
-         line = reader.ReadLine();
-
-         m = reg.Matches(line);
-         if (m.Count != 4)
-           throw new InvalidDataException("File has wrong format!");
-
-         int type = int.Parse(m[0].Value);
-         if(type != 2 && type != 6)
-           throw new InvalidDataException("Unsupported instance type");
-
-         bool timeWindows = type == 6;
-         vehicles = int.Parse(m[1].Value);
-         cities = int.Parse(m[2].Value);
-         depots = int.Parse(m[3].Value);
-         line = reader.ReadLine();
-
-         for (int i = 0; i < depots; i++) {
-           m = reg.Matches(line);
-           if (m.Count != 2) { continue; }
-
-           routeDueTime.Add(double.Parse(m[0].Value, System.Globalization.CultureInfo.InvariantCulture));
-           capacity.Add(double.Parse(m[1].Value, System.Globalization.CultureInfo.InvariantCulture));
-
-           line = reader.ReadLine();
-         }
-
-         while ((line != null)) {
-           m = reg.Matches(line);
-
-           if (demand.Count < cities) {
-             xCoord.Add(double.Parse(m[1].Value, System.Globalization.CultureInfo.InvariantCulture));
-             yCoord.Add(double.Parse(m[2].Value, System.Globalization.CultureInfo.InvariantCulture));
-             demand.Add((double)int.Parse(m[4].Value, System.Globalization.CultureInfo.InvariantCulture));
-             serviceTime.Add(int.Parse(m[3].Value));
-
-             if (timeWindows) {
-               readyTime.Add(int.Parse(m[m.Count - 2].Value));
-               dueTime.Add(int.Parse(m[m.Count - 1].Value));
-             } else {
-               readyTime.Add(0);
-               dueTime.Add(double.MaxValue);
-             }
-           } else {
-             depotXcoord.Add(double.Parse(m[1].Value, System.Globalization.CultureInfo.InvariantCulture));
-             depotYcoord.Add(double.Parse(m[2].Value, System.Globalization.CultureInfo.InvariantCulture));
-
-             if (timeWindows) {
-               depotReadyTime.Add(int.Parse(m[m.Count - 2].Value));
-               depotDueTime.Add(int.Parse(m[m.Count - 1].Value));
-             } else {
-               depotReadyTime.Add(0);
-               depotDueTime.Add(double.MaxValue);
-             }
-           }
-
-           line = reader.ReadLine();
-         }
-
-         for (int i = 0; i < depotDueTime.Count; i++) {
-           if (!timeWindows) {
-             depotDueTime[i] = routeDueTime[i];
-           }
-           if (depotDueTime[i] < double.Epsilon)
-             depotDueTime[i] = double.MaxValue;
-         }
-
-         xCoord.InsertRange(0, depotXcoord);
-         yCoord.InsertRange(0, depotYcoord);
-         readyTime.InsertRange(0, depotReadyTime);
-         dueTime.InsertRange(0, depotDueTime);
-
-         List<double> originalCapacities = new List<double>(capacity);
-         capacity.Clear();
-         for (int i = 0; i < depots; i++) {
-           for (int j = 0; j < vehicles; j++) {
-             capacity.Add(originalCapacities[i]);
-           }
-         }
-         vehicles *= depots;
-       }
-     }
+    public void Parse() {
+      string line;
+      Regex reg = new Regex(@"-?\d+(\.\d+)?");
+      MatchCollection m;
+
+      StreamReader reader;
+      if (stream != null) {
+        reader = new StreamReader(stream);
+      } else {
+        reader = new StreamReader(file);
+        problemName = Path.GetFileNameWithoutExtension(file);
+      }
+
+      using (reader) {
+        List<double> depotXcoord = new List<double>();
+        List<double> depotYcoord = new List<double>();
+        List<double> depotReadyTime = new List<double>();
+        List<double> depotDueTime = new List<double>();
+
+        List<double> routeDueTime = new List<double>();
+
+        line = reader.ReadLine();
+
+        m = reg.Matches(line);
+        if (m.Count != 4)
+          throw new InvalidDataException("File has wrong format!");
+
+        int type = int.Parse(m[0].Value);
+        if (type != 2 && type != 6)
+          throw new InvalidDataException("Unsupported instance type");
+
+        bool timeWindows = type == 6;
+        vehicles = int.Parse(m[1].Value);
+        cities = int.Parse(m[2].Value);
+        depots = int.Parse(m[3].Value);
+        line = reader.ReadLine();
+
+        for (int i = 0; i < depots; i++) {
+          m = reg.Matches(line);
+          if (m.Count != 2) { continue; }
+
+          routeDueTime.Add(double.Parse(m[0].Value, System.Globalization.CultureInfo.InvariantCulture));
+          capacity.Add(double.Parse(m[1].Value, System.Globalization.CultureInfo.InvariantCulture));
+
+          line = reader.ReadLine();
+        }
+
+        while ((line != null)) {
+          m = reg.Matches(line);
+
+          if (demand.Count < cities) {
+            xCoord.Add(double.Parse(m[1].Value, System.Globalization.CultureInfo.InvariantCulture));
+            yCoord.Add(double.Parse(m[2].Value, System.Globalization.CultureInfo.InvariantCulture));
+            demand.Add((double)int.Parse(m[4].Value, System.Globalization.CultureInfo.InvariantCulture));
+            serviceTime.Add(int.Parse(m[3].Value));
+
+            if (timeWindows) {
+              readyTime.Add(int.Parse(m[m.Count - 2].Value));
+              dueTime.Add(int.Parse(m[m.Count - 1].Value));
+            } else {
+              readyTime.Add(0);
+              dueTime.Add(double.MaxValue);
+            }
+          } else {
+            depotXcoord.Add(double.Parse(m[1].Value, System.Globalization.CultureInfo.InvariantCulture));
+            depotYcoord.Add(double.Parse(m[2].Value, System.Globalization.CultureInfo.InvariantCulture));
+
+            if (timeWindows) {
+              depotReadyTime.Add(int.Parse(m[m.Count - 2].Value));
+              depotDueTime.Add(int.Parse(m[m.Count - 1].Value));
+            } else {
+              depotReadyTime.Add(0);
+              depotDueTime.Add(double.MaxValue);
+            }
+          }
+
+          line = reader.ReadLine();
+        }
+
+        for (int i = 0; i < depotDueTime.Count; i++) {
+          if (!timeWindows) {
+            depotDueTime[i] = routeDueTime[i];
+          }
+          if (depotDueTime[i] < double.Epsilon)
+            depotDueTime[i] = double.MaxValue;
+        }
+
+        xCoord.InsertRange(0, depotXcoord);
+        yCoord.InsertRange(0, depotYcoord);
+        readyTime.InsertRange(0, depotReadyTime);
+        dueTime.InsertRange(0, depotDueTime);
+
+        List<double> originalCapacities = new List<double>(capacity);
+        capacity.Clear();
+        for (int i = 0; i < depots; i++) {
+          for (int j = 0; j < vehicles; j++) {
+            capacity.Add(originalCapacities[i]);
+          }
+        }
+        vehicles *= depots;
+      }
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/GoldenFormat/GoldenParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/GoldenFormat/GoldenParser.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/GoldenFormat/GoldenParser.cs	(revision 8053)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,5 +21,4 @@
 
 using System;
-using System.Globalization;
 using System.IO;
 
@@ -29,5 +28,5 @@
     private Stream stream;
     private string problemName;
-    
+
     #region Inner Enum TSPLIBEdgeWeightType
     public enum GoldenEdgeWeightType {
@@ -125,10 +124,11 @@
     }
 
-    public GoldenParser(string file): this() {
+    public GoldenParser(string file)
+      : this() {
       this.file = file;
     }
 
     public GoldenParser(Stream stream)
-       : this() {
+      : this() {
       this.stream = stream;
     }
Index: /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/LiLimFormat/LiLimParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/LiLimFormat/LiLimParser.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/LiLimFormat/LiLimParser.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -118,58 +118,59 @@
     }
 
-     public LiLimParser(string file): this() {
+    public LiLimParser(string file)
+      : this() {
       this.file = file;
     }
 
-     public LiLimParser(Stream stream): this() {
+    public LiLimParser(Stream stream)
+      : this() {
       this.stream = stream;
     }
 
-     public void Parse() {
-       string line;
-       Regex reg = new Regex(@"-?\d+");
-       MatchCollection m;
+    public void Parse() {
+      string line;
+      Regex reg = new Regex(@"-?\d+");
+      MatchCollection m;
 
-       StreamReader reader;
-       if (stream != null) {
-         reader = new StreamReader(stream);   
-       }
-       else {
-         reader = new StreamReader(file);
-         problemName = Path.GetFileNameWithoutExtension(file);
-       }
+      StreamReader reader;
+      if (stream != null) {
+        reader = new StreamReader(stream);
+      } else {
+        reader = new StreamReader(file);
+        problemName = Path.GetFileNameWithoutExtension(file);
+      }
 
-       using (reader) {
-         line = reader.ReadLine();
+      using (reader) {
+        line = reader.ReadLine();
 
-         m = reg.Matches(line);
-         if (m.Count != 3)
-           throw new InvalidDataException("File has wrong format!");
+        m = reg.Matches(line);
+        if (m.Count != 3)
+          throw new InvalidDataException("File has wrong format!");
 
-         vehicles = int.Parse(m[0].Value);
-         capacity = double.Parse(m[1].Value);
+        vehicles = int.Parse(m[0].Value);
+        capacity = double.Parse(m[1].Value);
 
-         line = reader.ReadLine();
-         while ((line != null) && (line.Length > 5)) {
-           m = reg.Matches(line);
-           if (m.Count != 9) { continue; }
-           xCoord.Add((double)int.Parse(m[1].Value));
-           yCoord.Add((double)int.Parse(m[2].Value));
-           demand.Add((double)int.Parse(m[3].Value));
-           readyTime.Add((double)int.Parse(m[4].Value));
-           double st = (double)int.Parse(m[6].Value);
-           dueTime.Add((double)int.Parse(m[5].Value));
-           serviceTime.Add(st);
+        line = reader.ReadLine();
+        while ((line != null) && (line.Length > 5)) {
+          m = reg.Matches(line);
+          if (m.Count != 9) { continue; }
+          xCoord.Add((double)int.Parse(m[1].Value));
+          yCoord.Add((double)int.Parse(m[2].Value));
+          demand.Add((double)int.Parse(m[3].Value));
+          readyTime.Add((double)int.Parse(m[4].Value));
+          double st = (double)int.Parse(m[6].Value);
+          dueTime.Add((double)int.Parse(m[5].Value));
+          serviceTime.Add(st);
 
-           int location = int.Parse(m[7].Value);
-           if (location == 0)
-             location = int.Parse(m[8].Value);
-           pickipDeliveryLocation.Add(location);
+          int location = int.Parse(m[7].Value);
+          if (location == 0)
+            location = int.Parse(m[8].Value);
+          pickipDeliveryLocation.Add(location);
 
-           line = reader.ReadLine();
-         }
-         cities = serviceTime.Count;
-       }
-     }
+          line = reader.ReadLine();
+        }
+        cities = serviceTime.Count;
+      }
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/SolomonFormat/SolomonParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/SolomonFormat/SolomonParser.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.Instances.VehicleRouting/3.4/SolomonFormat/SolomonParser.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -110,9 +110,11 @@
     }
 
-    public SolomonParser(string file): this() {
+    public SolomonParser(string file)
+      : this() {
       this.file = file;
     }
 
-    public SolomonParser(Stream stream): this() {
+    public SolomonParser(Stream stream)
+      : this() {
       this.stream = stream;
     }
